## PhoshAppAuthPrompt

PhoshAppAuthPrompt — A system modal prompt to authorize applications

## Functions

GtkWidget * | phosh_app_auth_prompt_new ()
gboolean | phosh_app_auth_prompt_get_grant_access ()
GVariant * | phosh_app_auth_prompt_get_selected_choices ()
gboolean | phosh_app_auth_prompt_get_remember ()

## Properties

char * | body | Read / Write / Construct Only
GVariant * | choices | Read / Write / Construct Only
char * | deny-label | Read / Write / Construct Only
char * | grant-label | Read / Write / Construct Only
GIcon * | icon | Read / Write / Construct Only
gboolean | offer-remember | Read / Write / Construct Only
char * | subtitle | Read / Write / Construct Only

## Signals

void | closed | Run Last

## Types and Values

#define | PHOSH_TYPE_APP_AUTH_PROMPT
#define | CHOICES_FORMAT
| PhoshAppAuthPrompt

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshSystemModal
                                    ╰── PhoshSystemModalDialog
                                        ╰── PhoshAppAuthPrompt

## Implemented Interfaces

PhoshAppAuthPrompt implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshAppAuthPrompt is used to authorize applications. It's used by the PhoshLocationManager and for org.freedesktop.impl.Access.

## Functions

### phosh_app_auth_prompt_new ()

    GtkWidget *
    phosh_app_auth_prompt_new (GIcon *icon,
                               const char *title,
                               const char *subtitle,
                               const char *body,
                               const char *grant_label,
                               const char *deny_label,
                               gboolean offer_remember,
                               GVariant *choices);

### phosh_app_auth_prompt_get_grant_access ()

    gboolean
    phosh_app_auth_prompt_get_grant_access
                                   (GtkWidget *self);

### phosh_app_auth_prompt_get_selected_choices ()

    GVariant *
    phosh_app_auth_prompt_get_selected_choices
                                   (GtkWidget *self);

### phosh_app_auth_prompt_get_remember ()

    gboolean
    phosh_app_auth_prompt_get_remember (GtkWidget *self);

## Types and Values

### PHOSH_TYPE_APP_AUTH_PROMPT

    #define PHOSH_TYPE_APP_AUTH_PROMPT (phosh_app_auth_prompt_get_type ())

### CHOICES_FORMAT

    #define CHOICES_FORMAT "a(ssa(ss)s)"

### PhoshAppAuthPrompt

    typedef struct _PhoshAppAuthPrompt PhoshAppAuthPrompt;

## Property Details

### The `“body”` property

      “body”                     char *

The auth dialog body.

Owner: PhoshAppAuthPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“choices”` property

      “choices”                  GVariant *

The dialogs shown permissions and their possible values.

Owner: PhoshAppAuthPrompt

Flags: Read / Write / Construct Only

Allowed values: GVariant<a(ssa(ss)s)>

Default value: NULL

### The `“deny-label”` property

      “deny-label”               char *

The auth dialog's deny access button label.

Owner: PhoshAppAuthPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“grant-label”` property

      “grant-label”              char *

The auth dialog's grant access button label.

Owner: PhoshAppAuthPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“icon”` property

      “icon”                     GIcon *

The auth dialog icon.

Owner: PhoshAppAuthPrompt

Flags: Read / Write / Construct Only

### The `“offer-remember”` property

      “offer-remember”           gboolean

Whether to offer to remember the auth decision result.

Owner: PhoshAppAuthPrompt

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“subtitle”` property

      “subtitle”                 char *

The auth dialog subtitle.

Owner: PhoshAppAuthPrompt

Flags: Read / Write / Construct Only

Default value: ""

## Signal Details

### The `“closed”` signal

    void
    user_function (PhoshAppAuthPrompt *phoshappauthprompt,
                   gpointer            user_data)

Flags: Run Last